OPKG 基础组件升级,未升级用户将无法继续安装更新包 - 20190616

管理员 2月前 1498

20190616 后安装的用户无需升级


  • LUCI 升级到 OpenWrt R2.9.1 By Snail

升级步骤
  • 重新执行 wget http://mirrors.anmpserver.com/miwifi/installer/installer.sh -O /tmp/installer && /bin/sh /tmp/installer;
  • 执行一次 opkg update; opkg install opkg;
  • 多次执行 opkg update && opkg upgrade;,直到没有错误提示为止

重要变更

更改仓库地址,beta 仓库需要手动修改

http://mirrors.anmpserver.com/openwrt/ 变更为 http://mirrors.anmpserver.com/miwifi/

由于分离 luci-theme-openwrt, 删除 luci-theme-ddwrt 两个包导致部分长时间为升级用户可能出现异常,需要执行以下命令手动修复

  • opkg remove luci-theme-ddwrt
  • opkg install --force-reinstall --force-overwrite luci-base luci-theme-openwrt luci-theme-snail

注意问题
  • 升级后 BETA 仓库会自动关闭,需要重新手动打开
  • 菜单 系统 > 软件包 > 配置 > 自定义软件源

beta 所在行开头的 #src/gz 改成 src/gz


取消注释,不是删掉整行,也不是照抄截图

取消注释,不是删掉整行,也不是照抄截图

取消注释,不是删掉整行,也不是照抄截图

最新回复 (2)
返回
发新帖